<?xml version="1.0" encoding="utf-8"?>
<odoo>
    <data>
        <template id="sales_details_pdf_template">
            <t t-foreach="doc_ids" t-as="doc_id">
                <t t-call="web.html_container">
                    <t t-call="web.basic_layout">
                        <t t-set="current_date_time" t-value="doc_id.get_current_date_time()"/>
                        <div class="page">
                            <div style="border:1px solid black;text-align:center;font-size:25px">
                                <strong>Sales Summary</strong>
                            </div>
                            <table style="width:100%;">
                                <tr>
                                    <td class="text-left">
                                        Report Date
                                    </td>
                                    <td class="text-right">
                                        <span t-esc="current_date_time.get('date')"/>
                                    </td>
                                </tr>
                                <tr>
                                    <td class="text-left">
                                        Report Time
                                    </td>
                                    <td class="text-right">
                                        <span t-esc="current_date_time.get('time')"/>
                                    </td>
                                </tr>
                            </table>
                            <table style="width:100%;">
                                <tr>
                                    <td class="text-left">
                                        Start Date
                                    </td>
                                    <td class="text-right">
                                        <span t-field="doc_id.start_date" t-field-options='{"format": "dd/M/YYYY"}'/>
                                    </td>
                                </tr>
                                <tr>
                                    <td class="text-left">
                                        End Date
                                    </td>
                                    <td class="text-right">
                                        <span t-field="doc_id.end_date" t-field-options='{"format": "dd/M/YYYY"}'/>
                                    </td>
                                </tr>
                            </table>
                            <t t-if="doc_id.only_summary == True">
                                <t t-set="total_sales" t-value="doc_id.get_total_sales()"/>
                                <t t-set="total_sales_return" t-value="doc_id.get_total_return_sales(True)"/>
                                <t t-set="currency_id" t-value="doc_id.get_currency_id()"/>
                                <t t-set="total_tax" t-value="doc_id.get_total_tax()"/>
                                <t t-set="total_discount" t-value="doc_id.get_total_discount()"/>
                                <t t-set="total_gross" t-value="doc_id.get_gross_total()"/>
                                <t t-set="total_gross_profit" t-value="gross_profit"/>
                                <t t-set="total_gross_net" t-value="net_gross"/>

                                <table style="width:100%;margin-top:15px;">
                                    <tr>
                                        <td class="text-left">
                                            Sales
                                        </td>
                                        <td class="text-right">
                                            <span t-esc="total_sales" t-options="{'widget': 'monetary', 'display_currency': currency_id}"/>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td class="text-left">
                                            Return
                                        </td>
                                        <td class="text-right">
                                            <span t-esc="total_sales_return" t-options="{'widget': 'monetary', 'display_currency': currency_id}"/>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td class="text-left">
                                            Taxes
                                        </td>
                                        <td class="text-right">
                                            <span t-esc="total_tax" t-options="{'widget': 'monetary', 'display_currency': currency_id}"/>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td class="text-left">
                                            Discount Amount
                                        </td>
                                        <td class="text-right">
                                            <span t-esc="total_discount" t-options="{'widget': 'monetary', 'display_currency': currency_id}"/>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td class="text-left">
                                            Gross Total
                                        </td>
                                        <td class="text-right">
                                            <span t-esc="total_gross" t-options="{'widget': 'monetary', 'display_currency': currency_id}"/>
                                        </td>
                                    </tr>
                                </table>
                                <t t-set="categ_total" t-value="0.0"/>
                                <t t-if="doc_id.get_product_category()">
                                    <div class="text-left" style="margin-top:10px !important;">
                                        Department Sales:
                                    </div>
                                    <table style="width:100%;margin-top:15px;">
                                        <tr t-foreach="doc_id.get_product_category()" t-as="l">
                                            <td class="text-left">
                                                <span t-esc="l.get('category') or 'Others'"/>
                                            </td>
                                            <td class="text-right">
                                                <t t-set="categ_total" t-value="categ_total + l.get('total')"/>
                                                <span t-esc="'{0:.2f}'.format(l.get('total'))"/>
                                            </td>
                                        </tr>
                                    </table>
                                    <table style="width:100%;">
                                        <tr>
                                            <td style="width:50%;">
                                            </td>
                                            <td style="width:50%; !important" class="text-right">
                                                ===========
                                            </td>
                                        </tr>
                                    </table>
                                    <table style="width:100%">
                                        <tr>
                                            <td style="width:50%;">
                                            </td>
                                            <td style="width:50%; !important" class="text-right">
                                                <span t-esc="'{0:.2f}'.format(categ_total)"/>
                                            </td>
                                        </tr>
                                    </table>
                                </t>
                            </t>
                            <t t-if="not doc_id.only_summary">
                                <t t-set="get_total_sales" t-value="doc_id.get_user_wise_data()"/>
                                <t t-foreach="doc_id.get_user_wise_data()" t-as="users_dict">
                                    <br/>
                                    <strong>Salesperson :</strong>
                                    <span t-esc="users_dict"/>
                                    <table style="width:100%;">
                                        <tr>
                                            <td class="text-left">
                                                Sales
                                            </td>
                                            <td class="text-right">
                                                <span t-esc="'{0:.2f}'.format(users_dict_value['total_sales'])"/>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="text-left">
                                                Total
                                            </td>
                                            <td class="text-right">
                                                <span t-esc="'{0:.2f}'.format(users_dict_value['total_sales'])"/>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="text-left">
                                                Taxes
                                            </td>
                                            <td class="text-right">
                                                <span t-esc="'{0:.2f}'.format(users_dict_value['taxes'])"/>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="text-left">
                                                Discount Amount
                                            </td>
                                            <td class="text-right">
                                                <span t-esc="users_dict_value['total_discount']"/>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="text-left">
                                                Gross Total
                                            </td>
                                            <td class="text-right">
                                                <span t-esc="'{0:.2f}'.format(users_dict_value['gross_total'])"/>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="text-left">
                                                Gross Profit
                                            </td>
                                            <td class="text-right">
                                                <span t-esc="'{0:.2f}'.format(users_dict_value['gross_profit'])"/>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="text-left">
                                                Net Gross Profit
                                            </td>
                                            <td class="text-right">
                                                <span t-esc="'{0:.2f}'.format(users_dict_value['net_gross'])"/>
                                            </td>
                                        </tr>
                                    </table>
                                    <table style="width:100%;margin-top:15px;">
                                        <tr t-foreach="users_dict_value['payment']" t-as="l">
                                            <t t-if="l.get('name')">
                                                <td class="text-left">
                                                    <span t-esc="l.get('name')"/>
                                                </td>
                                            </t>
                                            <td class="text-right">
                                                <span t-esc="l.get('sum')"/>
                                            </td>
                                        </tr>
                                    </table>
                                    <t t-if="users_dict_value['product_category']">
                                        <t t-set="categ_total" t-value="0.0"/>
                                        <div class="text-left" style="margin-top:10px !important;">
                                            Department Sales:
                                        </div>
                                        <table style="width:100%;margin-top:15px;">
                                            <tr t-foreach="users_dict_value['product_category']" t-as="l">
                                                <td class="text-left">
                                                    <span t-esc="doc_id.get_product_name(l.get('pos_categ_id')) or 'Others'"/>
                                                </td>
                                                <td class="text-right">
                                                    <t t-set="categ_total" t-value="categ_total + l.get('total')"/>
                                                    <span t-esc="'{0:.2f}'.format(l.get('total'))"/>
                                                </td>
                                            </tr>
                                        </table>
                                        <table style="width:100%;">
                                            <tr>
                                                <td style="width:50%;">
                                                </td>
                                                <td style="width:50%; !important" class="text-right">
                                                    ===========
                                                </td>
                                            </tr>
                                        </table>
                                        <table style="width:100%">
                                            <tr>
                                                <td style="width:50%;">
                                                </td>
                                                <td style="width:50%; !important" class="text-right">
                                                    <span t-esc="'{0:.2f}'.format(categ_total)"/>
                                                </td>
                                            </tr>
                                        </table>
                                    </t>
                                    <strong>Summary</strong>
                                    <br/>
                                    <table style="width:100%;">
                                        <tr>
                                            <td class="text-left">
                                                Sales
                                            </td>
                                            <td class="text-right">
                                                <span t-esc="'{0:.2f}'.format(doc_id.get_total_sales())"/>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="text-left">
                                                Total
                                            </td>
                                            <td class="text-right">
                                                <span t-esc="'{0:.2f}'.format(doc_id.get_total_sales())"/>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="text-left">
                                                Taxes
                                            </td>
                                            <td class="text-right">
                                                <span t-esc="'{0:.2f}'.format(doc_id.get_total_tax())"/>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="text-left">
                                                Discount Amount
                                            </td>
                                            <td class="text-right">
                                                <span t-esc="'{0:.2f}'.format(doc_id.get_total_discount())"/>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="text-left">
                                                Gross Total
                                            </td>
                                            <td class="text-right">
                                                <span t-esc="'{0:.2f}'.format(doc_id.get_gross_total())"/>
                                            </td>
                                        </tr>
                                        <!-- <tr>
                                            <td class="text-left">
                                                Gross Profit
                                            </td>
                                            <td class="text-right">
                                                <span t-esc="'{0:.2f}'.format(doc_id.get_gross_profit())"/>
                                            </td>
                                        </tr> -->
                                        <tr>
                                            <td class="text-left">
                                                Net Gross Profit
                                            </td>
                                            <td class="text-right">
                                                <span t-esc="'{0:.2f}'.format(doc_id.get_net_gross_total())"/>
                                            </td>
                                        </tr>
                                    </table>
                                </t>
                                <table style="width:100%;margin-top:15px;">
                                    <tr t-foreach="doc_id.get_payments()" t-as="l">
                                        <t t-if="l.get('name')">
                                            <td class="text-left">
                                                <span t-esc="l.get('name')"/>
                                            </td>
                                        </t>
                                        <td class="text-right">
                                            <span t-esc="'{0:.2f}'.format(l.get('sum'))"/>
                                        </td>
                                    </tr>
                                </table>
                                <t t-if="doc_id.get_product_category()">
                                    <t t-set="categ_total" t-value="0.0"/>
                                    <div class="text-left" style="margin-top:10px !important;">
                                        Department Sales:
                                    </div>
                                    <table style="width:100%;margin-top:15px;">
                                        <tr t-foreach="doc_id.get_product_category()" t-as="l">
                                            <td class="text-left">
                                                <span t-esc="doc_id.get_product_name(l.get('pos_categ_id')) or 'Others'"/>
                                            </td>
                                            <td class="text-right">
                                                <t t-set="categ_total" t-value="categ_total + l.get('total')"/>
                                                <span t-esc="'{0:.2f}'.format(l.get('total'))"/>
                                            </td>
                                        </tr>
                                    </table>
                                    <table style="width:100%;">
                                        <tr>
                                            <td style="width:50%;">
                                            </td>
                                            <td style="width:50%; !important" class="text-right">
                                                ===========
                                            </td>
                                        </tr>
                                    </table>
                                    <table style="width:100%">
                                        <tr>
                                            <td style="width:50%;">
                                            </td>
                                            <td style="width:50%; !important" class="text-right">
                                                <span t-esc="'{0:.2f}'.format(categ_total)"/>
                                            </td>
                                        </tr>
                                    </table>
                                </t>
                            </t>
                        </div>
                    </t>
                </t>
            </t>
        </template>
    </data>
</odoo>
